# Add review to activity Add a review to an activity. Endpoint: POST /activities/{activityUuid}/reviews Version: 3.5.0 Security: Partner ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Request fields (application/json): - `age` (integer) The customer's age. Example: 27 - `comment` (string) The customer's written review of their experience. Example: "Awesome experience." - `is_public` (boolean) Can we publish this review? If true, the review might be included in reviews for the activity, pending an internal evaluation. When false, the review will never be part of reviews for the activity, but its rating will be added to the activity's review statistics. Example: true - `locale` (string) The language of the customer's written review, following RFC 3066. Example: "en-GB" - `order_item_uuid` (string, required) The Musement order item UUID that the review is for. Example: "d83d4e0a-e62b-4c81-b403-4206914cd697" - `provider` (string, required) The name of the service providing the review data. Example: "QUALTRICS" - `provider_id` (string, required) The identifier for the review from the service providing the review data. Example: "R_wXE9FFQ1qhK2J0w" - `public_username` (string) The customer's name as it should be displayed with the review. Example: "John Doe" - `rating_value` (integer, required) The customer's rating of their experience, based on the rating_scale. Example: 4 - `rating_scale` (string, required) The rating scale used for the review, from the lowest to the highest value: {lowest}..{highest} Example: "1..5" - `traveler_type` (string) The customer's traveler type. Enum: "ALONE", "AS-A-COUPLE", "WITH-FAMILY", "WITH-FRIENDS" - `date` (string, required) The date and time the review was written. Example: "2021-11-18T15:13:13" - `rating_categories` (array) A breakdown of the rating by category. Example: [{"category_code":"SERVICE","category_rating":4,"rating_scale":"1..5"}] - `rating_categories.category_code` (string, required) The code for the review category. Enum: "SAFETY", "SERVICE", "STAFF", "VALUE-FOR-MONEY" - `rating_categories.category_rating` (integer, required) The rating for the category in a specified scale Example: 9 ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Activity not found." ## Response 409 fields (application/json): - `code` (string, required) Musement's internal status code for the error. Example: "1329" - `message` (string, required) Brief message that explains the error. Example: "Resource already create." ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error" ## Response 201 fields